com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.Timestamps

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.Timestamps

- Enclosing class:
    ManagerNode

      public static class ManagerNode.Timestamps
      extends java.lang.Object

  Manager node lifecycle timestamps.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timestamps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCreated()` Get the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Long` | `getLastActivity()` Get the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Long` | `getShutdown()` Get the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Integer` | `getShutdownBy()` Get the manager node ID that initiated the shutdown of this node.
    `java.lang.Long` | `getStarted()` Get the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setCreated(java.lang.Long created)` Set the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setLastActivity(java.lang.Long lastActivity)` Set the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setShutdown(java.lang.Long shutdown)` Set the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setShutdownBy(java.lang.Integer shutdownBy)` Set the manager node ID that initiated the shutdown of this node.
    `void` | `setStarted(java.lang.Long started)` Set the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `ManagerNode.Timestamps` | `withCreated(java.lang.Long created)` Set the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `ManagerNode.Timestamps` | `withLastActivity(java.lang.Long lastActivity)` Set the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `ManagerNode.Timestamps` | `withShutdown(java.lang.Long shutdown)` Set the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `ManagerNode.Timestamps` | `withShutdownBy(java.lang.Integer shutdownBy)` Set the manager node ID that initiated the shutdown of this node.
    `ManagerNode.Timestamps` | `withStarted(java.lang.Long started)` Set the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Timestamps

          public Timestamps()

  - ### Method Detail

    - #### getCreated

          public java.lang.Long getCreated()

      Get the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setCreated

          public void setCreated(java.lang.Long created)

      Set the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withCreated

          public ManagerNode.Timestamps withCreated(java.lang.Long created)

      Set the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when this manager node was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Timestamps object.

    - #### getStarted

          public java.lang.Long getStarted()

      Get the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setStarted

          public void setStarted(java.lang.Long started)

      Set the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `started` - the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withStarted

          public ManagerNode.Timestamps withStarted(java.lang.Long started)

      Set the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `started` - the time when this manager node was started, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Timestamps object.

    - #### getLastActivity

          public java.lang.Long getLastActivity()

      Get the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setLastActivity

          public void setLastActivity(java.lang.Long lastActivity)

      Set the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastActivity` - the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withLastActivity

          public ManagerNode.Timestamps withLastActivity(java.lang.Long lastActivity)

      Set the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastActivity` - the time when this manager node last reported activity, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Timestamps object.

    - #### getShutdown

          public java.lang.Long getShutdown()

      Get the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setShutdown

          public void setShutdown(java.lang.Long shutdown)

      Set the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `shutdown` - the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withShutdown

          public ManagerNode.Timestamps withShutdown(java.lang.Long shutdown)

      Set the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `shutdown` - the time when this manager node was shut down, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Timestamps object.

    - #### getShutdownBy

          public java.lang.Integer getShutdownBy()

      Get the manager node ID that initiated the shutdown of this node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node ID that initiated the shutdown of this node.

    - #### setShutdownBy

          public void setShutdownBy(java.lang.Integer shutdownBy)

      Set the manager node ID that initiated the shutdown of this node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `shutdownBy` - the manager node ID that initiated the shutdown of this node.

    - #### withShutdownBy

          public ManagerNode.Timestamps withShutdownBy(java.lang.Integer shutdownBy)

      Set the manager node ID that initiated the shutdown of this node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `shutdownBy` - the manager node ID that initiated the shutdown of this node.
      Returns:
        the updated Timestamps object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.